Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkMultiProcessLog Class Reference

`#include <vtkMultiProcessLog.h>`

Inheritance diagram for vtkMultiProcessLog:

[legend]
Collaboration diagram for vtkMultiProcessLog:

[legend]
List of all members.

## Detailed Description

Manages logs for multiple threads/processes.

Date:
  2002/08/12 15:20:30

Revision:
  1.7

Needs to be thread safe in the future (vtkTimerLog is not).

Created by:
  - Law, Charles

CVS contributions (if > 5%):
  - Law, Charles (82%)
  - Schroeder, Will (9%)
  - Cedilnik, Andy (5%)

CVS logs (CVSweb):
  - .`h` (`/Parallel/vtkMultiProcessLog.h)`
  - .`cxx` (`/Parallel/vtkMultiProcessLog.cxx)`

Definition at line 47 of file vtkMultiProcessLog.h.

## Public Types
typedef vtkObject | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
virtual void | PrintSelf (ostream &os, vtkIndent indent)
## Static Public Methods
vtkMultiProcessLog * | New ()
int | IsTypeOf (const char *type)
vtkMultiProcessLog * | SafeDownCast (vtkObject *o)
void | DumpLog (char *filename)
void | SetTimerLog (vtkThreadSafeLog *log)
vtkThreadSafeLog * | GetTimerLog ()
## Protected Methods
| vtkMultiProcessLog ()
| ~vtkMultiProcessLog ()

## Member Typedef Documentation

typedef vtkObject vtkMultiProcessLog::Superclass

| Reimplemented from vtkObject. Definition at line 51 of file vtkMultiProcessLog.h.

## Constructor & Destructor Documentation

vtkMultiProcessLog::vtkMultiProcessLog | ( |  | ) | `[inline, protected]`

| Definition at line 67 of file vtkMultiProcessLog.h.

vtkMultiProcessLog::~vtkMultiProcessLog | ( |  | ) | `[inline, protected]`

| Definition at line 68 of file vtkMultiProcessLog.h.

## Member Function Documentation

vtkMultiProcessLog* vtkMultiProcessLog::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkMultiProcessLog::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkObject.

int vtkMultiProcessLog::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkObject.

virtual int vtkMultiProcessLog::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkObject.

vtkMultiProcessLog* vtkMultiProcessLog::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkObject.

virtual void vtkMultiProcessLog::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkObject.

void vtkMultiProcessLog::SetTimerLog | ( | vtkThreadSafeLog * | log | ) | `[static]`

| I want all the events in one process to share a log. Note: Each process must set its own log. Since I cannot initialize the array in a thread safe manner, the logs are not reference counted.

vtkThreadSafeLog* vtkMultiProcessLog::GetTimerLog | ( |  | ) | `[static]`

| I want all the events in one process to share a log. Note: Each process must set its own log. Since I cannot initialize the array in a thread safe manner, the logs are not reference counted.

void vtkMultiProcessLog::DumpLog | ( | char * | filename | ) | `[static]`

| Dumps logs sequentially into a file. Each process should call this.

The documentation for this class was generated from the following file:

- Parallel/vtkMultiProcessLog.h